{% extends "local.html" %}
{% load materiel_filter icon %}

{% block title %}
    Gestion des emprunts
{% endblock %}

{% block content %}

    <header>
        <h1>Gestion des emprunts du local</h1>

        <div class="header-content">
            <p>
                Depuis cette page, vous pouvez gérer les demandes d'emprunts du local réalisées par tous les
                utilisateurs du site.
                <strong>Attention : L'emprunt doit être validé sur GdM avant d'être validé ici !</strong>
            </p>
            <p>
                {% if emprunts_en_attente %}
                    Il y a
                    <strong>{{ emprunts_en_attente|length }} emprunt{{ emprunts_en_attente|length|pluralize }}</strong>
                    en attente.<br/>
                {% endif %}
                {% if emprunts_a_venir %}
                    Il y a <strong>{{ emprunts_a_venir|length }} emprunt{{ emprunts_a_venir|length|pluralize }}</strong>
                    à venir.
                {% endif %}
            </p>
        </div>
    </header>

    <div class="container-fluid">
        <h2 class="title">Emprunts en attente</h2>

        <section>
            {% for emprunt in emprunts_en_attente %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-1">
                                <img class="photo-matos" src="{% url "photo_utilisateur" emprunt.membre.id %}"
                                     alt="Photo de {{ emprunt.membre.nomComplet }}"/>
                            </div>
                            <div class="col-md-7">
                                <h3>{{ emprunt.membre.nomComplet }}</h3>
                                <p>
                                    Du {{ emprunt.debut }} au {{ emprunt.fin }}

                                    {% if emprunt in emprunts_conflits %}
                                        <br/><span class="subtext-important">Conflits présents dans cet emprunt</span>
                                    {% endif %}
                                    {% if emprunt.membre|location %}
                                        <br/>
                                        <span class="subtext-important">Cet emprunt est une location payante !</span>
                                    {% endif %}
                                </p>
                                <p>
                                    <strong>Raison : </strong>
                                    {{ emprunt.description }}
                                </p>
                            </div>
                            <div class="col-md-2">
                                <span class="btn-group">
                                    <button type="button" class="btn btn-success"
                                            href="javascript:changer_statut({{ emprunt.id }}, 1)"
                                            data-toggle="confirmation" data-btn-ok-label="Oui"
                                            data-btn-cancel-label="Annuler" data-btn-cancel-class="btn-light"
                                            data-title="L'emprunt a été validé sur GdM ?">Valider</button>

                                    <button type="button" class="btn btn-danger"
                                            href="javascript:changer_statut({{ emprunt.id }}, 0)"
                                            data-toggle="confirmation" data-btn-ok-label="Oui"
                                            data-btn-cancel-label="Annuler" data-btn-cancel-class="btn-light"
                                            data-title="Vous êtes sûr ?">Refuser</button>
                                </span>
                            </div>
                        </div>

                        <div class="row">
                            <div class="offset-1 col-8">
                                <div class="form-group">
                                    <label for="commentaire-{{ emprunt.id }}"><strong>Commentaire :</strong></label>
                                    <textarea placeholder="Commentaire général de l'emprunt"
                                              id="commentaire-{{ emprunt.id }}" rows="3"
                                              class="form-control">{% if emprunt.commentaire %}
                                        {{ emprunt.commentaire }}{% endif %}</textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% empty %}
                <p>Il n'y a pas d'emprunt en attente </p>
            {% endfor %}
        </section>

        <h2 class="title">Emprunts à venir</h2>

        <section>
            {% for emprunt in emprunts_a_venir %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-1">
                                <img class="photo-matos" src="{% url "photo_utilisateur" emprunt.membre.id %}"
                                     alt="Photo de {{ emprunt.membre.nomComplet }}"/>
                            </div>
                            <div class="col-md-9">
                                <h4>{{ emprunt.membre.nomComplet }}</h4>
                                {% if emprunt.empruntGdM %}
                                    <span class="subtext-important">Cet emprunt provient de GdM</span>
                                {% endif %}
                                <p>
                                    Du {{ emprunt.debut }} au {{ emprunt.fin }}
                                    {% if emprunt.membre|location %}
                                        <br/>
                                        <span class="subtext-important">Cet emprunt est une location payante !</span>
                                    {% endif %}
                                </p>
                                <p>
                                    <strong>Raison : </strong>
                                    {{ emprunt.description }}
                                </p>
                            </div>
                            <div class="col-md-2">
                                {% if emprunt.statut == valide %}
                                    <i class="far fa-check-circle fa-lg"></i>
                                {% elif emprunt.statut == refuse %}
                                    <i class="far fa-times-circle fa-lg"></i>
                                {% endif %}
                            </div>
                        </div>

                        {% if emprunt.commentaire %}
                            <div class="row">
                                <div class="offset-1 col-8">
                                    <div class="form-group">
                                        <label for="commentaire-{{ emprunt.id }}"><strong>Commentaire
                                            (de {{ emprunt.auteurCommentaire.nomComplet }}) :</strong></label><br/>
                                        {{ emprunt.commentaire }}
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                </div>
            {% empty %}
                <p>Il n'y a pas d'emprunt gérés </p>
            {% endfor %}
        </section>

        <h2 class="title">Emprunts terminés</h2>

        <section>
            {% for emprunt in emprunts_termines %}
                <div class="card card-lg">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-1">
                                <img class="photo-matos" src="{% url "photo_utilisateur" emprunt.membre.id %}"
                                     alt="Photo de {{ emprunt.membre.nomComplet }}"/>
                            </div>
                            <div class="col-md-9">
                                <h4>{{ emprunt.membre.nomComplet }}</h4>
                                {% if emprunt.empruntGdM %}
                                    <span class="subtext-important">Cet emprunt provient de GdM</span>
                                {% endif %}
                                <p>
                                    Du {{ emprunt.debut }} au {{ emprunt.fin }}
                                </p>
                                <p>
                                    <strong>Raison : </strong>
                                    {{ emprunt.description }}
                                </p>
                            </div>
                            <div class="col-md-2">
                                {% if emprunt.statut == valide %}
                                    <i class="far fa-check-circle fa-lg"></i>
                                {% elif emprunt.statut == refuse %}
                                    <i class="far fa-times-circle fa-lg"></i>
                                {% endif %}
                            </div>
                        </div>

                        {% if emprunt.commentaire %}
                            <div class="row">
                                <div class="offset-1 col-8">
                                    <div class="form-group">
                                        <label for="commentaire-{{ emprunt.id }}"><strong>Commentaire
                                            (de {{ emprunt.auteurCommentaire.nomComplet }}) :</strong></label><br/>
                                        {{ emprunt.commentaire }}
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                </div>
            {% empty %}
                <p>Il n'y a pas d'emprunt terminés.</p>
            {% endfor %}
        </section>
    </div>
{% endblock %}

{% block footer_javascript %}
    {# Plugin confirmation box #}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>

    <script type="text/javascript">
        $(function () {
            $('[data-toggle=confirmation]').confirmation({
                rootSelector: '[data-toggle=confirmation]'
            });
        });

        function changer_statut(id_emprunt, valider) {
            $.ajax({
                url: '{% url 'local_statut' %}',
                data: {
                    'valider': valider,
                    'id_emprunt': id_emprunt,
                    'commentaire': $('#commentaire-' + id_emprunt).val(),
                    'csrfmiddlewaretoken': '{{ csrf_token }}'
                },
                type: 'post',
                dataType: 'json',
                success: function (data) {
                    location.reload();
                }
            });
        }
    </script>
{% endblock %}